local Nature = foundation.createMod();

Nature:dofile("monuments.lua")

Nature:registerEnumValue ("BUILDING_PART_TYPE", "DECO")

Nature:registerAssetId("models/nature.fbx/Prefab/Grass1", "PREFAB_GRASS1")
Nature:registerAssetId("models/nature.fbx/Prefab/Grass2", "PREFAB_GRASS2")
Nature:registerAssetId("models/nature.fbx/Prefab/Lilypad1", "PREFAB_LILYPAD1")
Nature:registerAssetId("models/nature.fbx/Prefab/Lilypad2", "PREFAB_LILYPAD2")
Nature:registerAssetId("models/nature.fbx/Prefab/Lilypad3", "PREFAB_LILYPAD3")
Nature:registerAssetId("models/nature.fbx/Prefab/Stone1", "PREFAB_STONE1")
Nature:registerAssetId("models/nature.fbx/Prefab/Stone2", "PREFAB_STONE2")
Nature:registerAssetId("models/nature.fbx/Prefab/Stone3", "PREFAB_STONE3")
Nature:registerAssetId("models/nature.fbx/Prefab/Stone4", "PREFAB_STONE4")
Nature:registerAssetId("models/nature.fbx/Prefab/Stone5", "PREFAB_STONE5")
Nature:registerAssetId("models/nature.fbx/Prefab/Stone6", "PREFAB_STONE6")
Nature:registerAssetId("models/nature.fbx/Prefab/Stone7", "PREFAB_STONE7")
Nature:registerAssetId("models/nature.fbx/Prefab/Stone8", "PREFAB_STONE8")
Nature:registerAssetId("models/nature.fbx/Prefab/Stone9", "PREFAB_STONE9")
Nature:registerAssetId("models/nature.fbx/Prefab/Stone_Tall1", "PREFAB_STONE_TALL1")
Nature:registerAssetId("models/nature.fbx/Prefab/Stone_Tall2", "PREFAB_STONE_TALL2")
Nature:registerAssetId("models/nature.fbx/Prefab/Stone_Tall3", "PREFAB_STONE_TALL3")
Nature:registerAssetId("models/nature.fbx/Prefab/Boulder1", "PREFAB_BOULDER1")
Nature:registerAssetId("models/nature.fbx/Prefab/Boulder2", "PREFAB_BOULDER2")
Nature:registerAssetId("models/nature.fbx/Prefab/Boulder3", "PREFAB_BOULDER3")
Nature:registerAssetId("models/nature.fbx/Prefab/Boulder4", "PREFAB_BOULDER4")
Nature:registerAssetId("models/nature.fbx/Prefab/Boulder5", "PREFAB_BOULDER5")
Nature:registerAssetId("models/nature.fbx/Prefab/Boulder6", "PREFAB_BOULDER6")
Nature:registerAssetId("models/nature.fbx/Prefab/Tree1", "PREFAB_TREE1")
Nature:registerAssetId("models/nature.fbx/Prefab/Tree2", "PREFAB_TREE2")
Nature:registerAssetId("models/nature.fbx/Prefab/Tree3", "PREFAB_TREE3")
Nature:registerAssetId("models/nature.fbx/Prefab/Tree4", "PREFAB_TREE4")
Nature:registerAssetId("models/nature.fbx/Prefab/Tree5", "PREFAB_TREE5")
Nature:registerAssetId("models/nature.fbx/Prefab/Tree6", "PREFAB_TREE6")
Nature:registerAssetId("models/nature.fbx/Prefab/Tree_Stump", "PREFAB_TREE_STUMP")
Nature:registerAssetId("models/nature.fbx/Prefab/Tree_Dead", "PREFAB_TREE_DEAD")
Nature:registerAssetId("models/nature.fbx/Prefab/Tree_Dead2", "PREFAB_TREE_DEAD2")
Nature:registerAssetId("models/nature.fbx/Prefab/Mushroom_Log", "PREFAB_MUSHROOM_LOG")
Nature:registerAssetId("models/nature.fbx/Prefab/Water_Circle", "PREFAB_WATER_CIRCLE")
Nature:registerAssetId("models/nature.fbx/Prefab/Water_Circle_Large", "PREFAB_WATER_CIRCLE_LARGE")
Nature:registerAssetId("models/nature.fbx/Prefab/Water_Circle_Large2", "PREFAB_WATER_CIRCLE_LARGE2")
Nature:registerAssetId("models/nature.fbx/Prefab/Water_Square", "PREFAB_WATER_SQUARE")
Nature:registerAssetId("models/nature.fbx/Prefab/Water_Square_Large", "PREFAB_WATER_SQUARE_LARGE")
Nature:registerAssetId("models/nature.fbx/Prefab/Water_Square_Large2", "PREFAB_WATER_SQUARE_LARGE2")
Nature:registerAssetId("models/nature.fbx/Prefab/Grass_Clearing_Stone_Small", "PREFAB_GRASS_CLEARING_STONE_SMALL")
Nature:registerAssetId("models/nature.fbx/Prefab/Grass_Clearing_Stone", "PREFAB_GRASS_CLEARING_STONE")
Nature:registerAssetId("models/nature.fbx/Prefab/Grass_Clearing_Stone_Large", "PREFAB_GRASS_CLEARING_STONE_LARGE")
Nature:registerAssetId("models/nature.fbx/Prefab/Tiling_Part", "PREFAB_TILING_PART")
Nature:registerAssetId("models/nature.fbx/Materials/butterfly", "BUTTERFLY_MATERIAL")
Nature:registerAssetId("models/nature.fbx/Materials/water", "WATER_MATERIAL")
Nature:registerAssetId("models/nature.fbx/Materials/leaves", "LEAVES_MATERIAL")
Nature:registerAssetId("models/nature.fbx/Materials/foliage", "FOLIAGE_MATERIAL")
Nature:registerAssetId("models/core.fbx/Materials/blank1", "BLANK_CORE_MATERIAL")

Nature:registerAssetProcessor("models/core.fbx", {
	DataType = "BUILDING_ASSET_PROCESSOR"
})
Nature:registerAssetProcessor("models/nature.fbx", {
	DataType = "BUILDING_ASSET_PROCESSOR"
})

Nature:register({
	DataType = "BUILDING_PART",
	Id = "TILING",
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_TILING_PART"
	}
})

Nature:override({
    Id = "BUTTERFLY_MATERIAL",
	HasAlphaTest = true,
	BackFaceVisible = true
})
Nature:override({
    Id = "LEAVES_MATERIAL",
	HasAlphaTest = true,
	BackFaceVisible = true
})
Nature:override({
    Id = "FOLIAGE_MATERIAL",
	HasAlphaTest = true
})
Nature:override({
    Id = "BLANK_CORE_MATERIAL",
	HasAlphaTest = true
})

Nature:register({
	DataType = "WALL_CONFIG",
	Id = "STREAM",
	WallConfigName = "STREAM_NAME",
	IsManuallyUnlocked = false,
	Material = "WATER_MATERIAL",
	MaterialTop = "WATER_MATERIAL",
	StepLength = 0.5,
	Width = 3.5,
	Height = 0.3,
	UvTillingWall = 0.1,
	UvTillingTop = 0.1,
	WallOffsetY = 0,
	CrenationOffsetY = 0,
	CrenationOffsetZ = 0
})
Nature:register({
	DataType = "BUILDING_PART",
	Id = "GRASS1",
	Name = "GRASS1_NAME",
	Description = "GRASS1_DESC",
	Category = "DECO",
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_GRASS1"
	}
})
Nature:register({
	DataType = "BUILDING_PART",
	Id = "GRASS2",
	Name = "GRASS2_NAME",
	Description = "GRASS2_DESC",
	Category = "DECO",
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_GRASS2"
	}
})
Nature:register({
	DataType = "BUILDING_PART",
	Id = "LILYPAD1",
	Name = "LILYPAD1_NAME",
	Description = "LILYPAD1_DESC",
	Category = "DECO",
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_LILYPAD1"
	}
})
Nature:register({
	DataType = "BUILDING_PART",
	Id = "LILYPAD2",
	Name = "LILYPAD2_NAME",
	Description = "LILYPAD2_DESC",
	Category = "DECO",
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_LILYPAD2"
	}
})
Nature:register({
	DataType = "BUILDING_PART",
	Id = "LILYPAD3",
	Name = "LILYPAD3_NAME",
	Description = "LILYPAD3_DESC",
	Category = "DECO",
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_LILYPAD3"
	}
})
Nature:register({
	DataType = "BUILDING_PART",
	Id = "STONE1",
	Name = "STONE1_NAME",
	Description = "STONE1_DESC",
	Category = "DECO",
	BuildingZone = {
		ZoneEntryList = {
			{
				Type = {
					DEFAULT = true,
					NAVIGABLE = false
				},
				Polygon = {
					{0.3, 0.2},
					{0.3, -0.2},
					{-0.3, -0.2},
					{-0.3, 0.2}
				}
			}
		}
	},
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_STONE1"
	}
})
Nature:register({
	DataType = "BUILDING_PART",
	Id = "STONE2",
	Name = "STONE2_NAME",
	Description = "STONE2_DESC",
	Category = "DECO",
	BuildingZone = {
		ZoneEntryList = {
			{
				Type = {
					DEFAULT = true,
					NAVIGABLE = false
				},
				Polygon = {
					{0.4, 0.2},
					{0.4, -0.2},
					{-0.4, -0.2},
					{-0.4, 0.2}
				}
			}
		}
	},
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_STONE2"
	}
})
Nature:register({
	DataType = "BUILDING_PART",
	Id = "STONE3",
	Name = "STONE3_NAME",
	Description = "STONE3_DESC",
	Category = "DECO",
	BuildingZone = {
		ZoneEntryList = {
			{
				Type = {
					DEFAULT = true,
					NAVIGABLE = false
				},
				Polygon = {
					{0.4, 0.4},
					{0.4, -0.4},
					{-0.4, -0.4},
					{-0.4, 0.4}
				}
			}
		}
	},
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_STONE3"
	}
})
Nature:register({
	DataType = "BUILDING_PART",
	Id = "STONE4",
	Name = "STONE4_NAME",
	Description = "STONE4_DESC",
	Category = "DECO",
	BuildingZone = {
		ZoneEntryList = {
			{
				Type = {
					DEFAULT = true,
					NAVIGABLE = false
				},
				Polygon = {
					{0.2, 0.2},
					{0.2, -0.2},
					{-0.2, -0.2},
					{-0.2, 0.2}
				}
			}
		}
	},
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_STONE4"
	}
})
Nature:register({
	DataType = "BUILDING_PART",
	Id = "STONE5",
	Name = "STONE5_NAME",
	Description = "STONE5_DESC",
	Category = "DECO",
	BuildingZone = {
		ZoneEntryList = {
			{
				Type = {
					DEFAULT = true,
					NAVIGABLE = false
				},
				Polygon = {
					{0.6, 0.2},
					{0.6, -0.2},
					{-0.6, -0.2},
					{-0.6, 0.2}
				}
			}
		}
	},
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_STONE5"
	}
})
Nature:register({
	DataType = "BUILDING_PART",
	Id = "STONE6",
	Name = "STONE6_NAME",
	Description = "STONE6_DESC",
	Category = "DECO",
	BuildingZone = {
		ZoneEntryList = {
			{
				Type = {
					DEFAULT = true,
					NAVIGABLE = false
				},
				Polygon = {
					{0.6, 0.2},
					{0.6, -0.2},
					{-0.6, -0.2},
					{-0.6, 0.2}
				}
			}
		}
	},
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_STONE6"
	}
})
Nature:register({
	DataType = "BUILDING_PART",
	Id = "STONE7",
	Name = "STONE7_NAME",
	Description = "STONE7_DESC",
	Category = "DECO",
	BuildingZone = {
		ZoneEntryList = {
			{
				Type = {
					DEFAULT = true,
					NAVIGABLE = false
				},
				Polygon = {
					{0.4, 0.2},
					{0.4, -0.2},
					{-0.4, -0.2},
					{-0.4, 0.2}
				}
			}
		}
	},
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_STONE7"
	}
})
Nature:register({
	DataType = "BUILDING_PART",
	Id = "STONE8",
	Name = "STONE8_NAME",
	Description = "STONE8_DESC",
	Category = "DECO",
	BuildingZone = {
		ZoneEntryList = {
			{
				Type = {
					DEFAULT = true,
					NAVIGABLE = false
				},
				Polygon = {
					{0.5, 0.5},
					{0.5, -0.5},
					{-0.5, -0.5},
					{-0.5, 0.5}
				}
			}
		}
	},
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_STONE8"
	}
})
Nature:register({
	DataType = "BUILDING_PART",
	Id = "STONE9",
	Name = "STONE9_NAME",
	Description = "STONE9_DESC",
	Category = "DECO",
	BuildingZone = {
		ZoneEntryList = {
			{
				Type = {
					DEFAULT = true,
					NAVIGABLE = false
				},
				Polygon = {
					{0.5, 0.5},
					{0.5, -0.5},
					{-0.5, -0.5},
					{-0.5, 0.5}
				}
			}
		}
	},
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_STONE9"
	}
})
Nature:register({
	DataType = "BUILDING_PART",
	Id = "STONE_TALL1",
	Name = "STONE_TALL1_NAME",
	Description = "STONE_TALL1_DESC",
	Category = "DECO",
	BuildingZone = {
		ZoneEntryList = {
			{
				Type = {
					DEFAULT = true,
					NAVIGABLE = false
				},
				Polygon = {
					{0.2, 0.2},
					{0.2, -0.2},
					{-0.2, -0.2},
					{-0.2, 0.2}
				}
			}
		}
	},
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_STONE_TALL1"
	}
})
Nature:register({
	DataType = "BUILDING_PART",
	Id = "STONE_TALL2",
	Name = "STONE_TALL2_NAME",
	Description = "STONE_TALL2_DESC",
	Category = "DECO",
	BuildingZone = {
		ZoneEntryList = {
			{
				Type = {
					DEFAULT = true,
					NAVIGABLE = false
				},
				Polygon = {
					{0.2, 0.2},
					{0.2, -0.2},
					{-0.2, -0.2},
					{-0.2, 0.2}
				}
			}
		}
	},
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_STONE_TALL2"
	}
})
Nature:register({
	DataType = "BUILDING_PART",
	Id = "STONE_TALL3",
	Name = "STONE_TALL1_NAME",
	Description = "STONE_TALL3_DESC",
	Category = "DECO",
	BuildingZone = {
		ZoneEntryList = {
			{
				Type = {
					DEFAULT = true,
					NAVIGABLE = false
				},
				Polygon = {
					{0.2, 0.2},
					{0.2, -0.2},
					{-0.2, -0.2},
					{-0.2, 0.2}
				}
			}
		}
	},
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_STONE_TALL3"
	}
})
Nature:register({
	DataType = "BUILDING_PART",
	Id = "BOULDER1",
	Name = "BOULDER1_NAME",
	Description = "BOULDER1_DESC",
	Category = "DECO",
	BuildingZone = {
		ZoneEntryList = {
			{
				Type = {
					DEFAULT = true,
					NAVIGABLE = false
				},
				Polygon = {
					{1.5, 1.5},
					{1.5, -1.5},
					{-1.5, -1.5},
					{-1.5, 1.5}
				}
			}
		}
	},
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_BOULDER1"
	}
})
Nature:register({
	DataType = "BUILDING_PART",
	Id = "BOULDER2",
	Name = "BOULDER2_NAME",
	Description = "BOULDER2_DESC",
	Category = "DECO",
	BuildingZone = {
		ZoneEntryList = {
			{
				Type = {
					DEFAULT = true,
					NAVIGABLE = false
				},
				Polygon = {
					{1.5, 1.5},
					{1.5, -1.5},
					{-1.5, -1.5},
					{-1.5, 1.5}
				}
			}
		}
	},
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_BOULDER2"
	}
})
Nature:register({
	DataType = "BUILDING_PART",
	Id = "BOULDER3",
	Name = "BOULDER3_NAME",
	Description = "BOULDER3_DESC",
	Category = "DECO",
	BuildingZone = {
		ZoneEntryList = {
			{
				Type = {
					DEFAULT = true,
					NAVIGABLE = false
				},
				Polygon = {
					{1.5, 1.5},
					{1.5, -1.5},
					{-1.5, -1.5},
					{-1.5, 1.5}
				}
			}
		}
	},
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_BOULDER3"
	}
})
Nature:register({
	DataType = "BUILDING_PART",
	Id = "BOULDER4",
	Name = "BOULDER4_NAME",
	Description = "BOULDER4_DESC",
	Category = "DECO",
	BuildingZone = {
		ZoneEntryList = {
			{
				Type = {
					DEFAULT = true,
					NAVIGABLE = false
				},
				Polygon = {
					{1, 1},
					{1, -1},
					{-1, -1},
					{-1, 1}
				}
			}
		}
	},
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_BOULDER4"
	}
})
Nature:register({
	DataType = "BUILDING_PART",
	Id = "BOULDER5",
	Name = "BOULDER5_NAME",
	Description = "BOULDER5_DESC",
	Category = "DECO",
	BuildingZone = {
		ZoneEntryList = {
			{
				Type = {
					DEFAULT = true,
					NAVIGABLE = false
				},
				Polygon = {
					{1, 1},
					{1, -1},
					{-1, -1},
					{-1, 1}
				}
			}
		}
	},
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_BOULDER5"
	}
})
Nature:register({
	DataType = "BUILDING_PART",
	Id = "BOULDER6",
	Name = "BOULDER6_NAME",
	Description = "BOULDER6_DESC",
	Category = "DECO",
	BuildingZone = {
		ZoneEntryList = {
			{
				Type = {
					DEFAULT = true,
					NAVIGABLE = false
				},
				Polygon = {
					{1, 1},
					{1, -1},
					{-1, -1},
					{-1, 1}
				}
			}
		}
	},
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_BOULDER6"
	}
})
Nature:register({
	DataType = "BUILDING_PART",
	Id = "TREE1",
	Name = "TREE1_NAME",
	Description = "TREE1_DESC",
	Category = "DECO",
	BuildingZone = {
		ZoneEntryList = {
			{
				Type = {
					DEFAULT = true,
					NAVIGABLE = false
				},
				Polygon = {
					{0.2, 0.2},
					{0.2, -0.2},
					{-0.2, -0.2},
					{-0.2, 0.2}
				}
			}
		}
	},
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_TREE1"
	}
})
Nature:register({
	DataType = "BUILDING_PART",
	Id = "TREE2",
	Name = "TREE2_NAME",
	Description = "TREE2_DESC",
	Category = "DECO",
	BuildingZone = {
		ZoneEntryList = {
			{
				Type = {
					DEFAULT = true,
					NAVIGABLE = false
				},
				Polygon = {
					{0.2, 0.2},
					{0.2, -0.2},
					{-0.2, -0.2},
					{-0.2, 0.2}
				}
			}
		}
	},
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_TREE2"
	}
})
Nature:register({
	DataType = "BUILDING_PART",
	Id = "TREE3",
	Name = "TREE3_NAME",
	Description = "TREE3_DESC",
	Category = "DECO",
	BuildingZone = {
		ZoneEntryList = {
			{
				Type = {
					DEFAULT = true,
					NAVIGABLE = false
				},
				Polygon = {
					{0.2, 0.2},
					{0.2, -0.2},
					{-0.2, -0.2},
					{-0.2, 0.2}
				}
			}
		}
	},
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_TREE3"
	}
})
Nature:register({
	DataType = "BUILDING_PART",
	Id = "TREE4",
	Name = "TREE4_NAME",
	Description = "TREE4_DESC",
	Category = "DECO",
	BuildingZone = {
		ZoneEntryList = {
			{
				Type = {
					DEFAULT = true,
					NAVIGABLE = false
				},
				Polygon = {
					{0.4, 0.4},
					{0.4, -0.4},
					{-0.4, -0.4},
					{-0.4, 0.4}
				}
			}
		}
	},
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_TREE4"
	}
})
Nature:register({
	DataType = "BUILDING_PART",
	Id = "TREE5",
	Name = "TREE5_NAME",
	Description = "TREE5_DESC",
	Category = "DECO",
	BuildingZone = {
		ZoneEntryList = {
			{
				Type = {
					DEFAULT = true,
					NAVIGABLE = false
				},
				Polygon = {
					{0.4, 0.4},
					{0.4, -0.4},
					{-0.4, -0.4},
					{-0.4, 0.4}
				}
			}
		}
	},
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_TREE5"
	}
})
Nature:register({
	DataType = "BUILDING_PART",
	Id = "TREE6",
	Name = "TREE6_NAME",
	Description = "TREE6_DESC",
	Category = "DECO",
	BuildingZone = {
		ZoneEntryList = {
			{
				Type = {
					DEFAULT = true,
					NAVIGABLE = false
				},
				Polygon = {
					{0.4, 0.4},
					{0.4, -0.4},
					{-0.4, -0.4},
					{-0.4, 0.4}
				}
			}
		}
	},
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_TREE6"
	}
})
Nature:register({
	DataType = "BUILDING_PART",
	Id = "TREE_STUMP",
	Name = "TREE_STUMP_NAME",
	Description = "TREE_STUMP_DESC",
	Category = "DECO",
	BuildingZone = {
		ZoneEntryList = {
			{
				Type = {
					DEFAULT = true,
					NAVIGABLE = false
				},
				Polygon = {
					{0.2, 0.2},
					{0.2, -0.2},
					{-0.2, -0.2},
					{-0.2, 0.2}
				}
			}
		}
	},
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_TREE_STUMP"
	}
})
Nature:register({
	DataType = "BUILDING_PART",
	Id = "TREE_DEAD",
	Name = "TREE_DEAD_NAME",
	Description = "TREE_DEAD_DESC",
	Category = "DECO",
	BuildingZone = {
		ZoneEntryList = {
			{
				Type = {
					DEFAULT = true,
					NAVIGABLE = false
				},
				Polygon = {
					{0.2, 0.2},
					{0.2, -0.2},
					{-0.2, -0.2},
					{-0.2, 0.2}
				}
			}
		}
	},
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_TREE_DEAD"
	}
})
Nature:register({
	DataType = "BUILDING_PART",
	Id = "TREE_DEAD2",
	Name = "TREE_DEAD2_NAME",
	Description = "TREE_DEAD_DESC",
	Category = "DECO",
	BuildingZone = {
		ZoneEntryList = {
			{
				Type = {
					DEFAULT = true,
					NAVIGABLE = false
				},
				Polygon = {
					{0.2, 0.2},
					{0.2, -0.2},
					{-0.2, -0.2},
					{-0.2, 0.2}
				}
			}
		}
	},
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_TREE_DEAD2"
	}
})
Nature:register({
	DataType = "BUILDING_PART",
	Id = "MUSHROOM_LOG",
	Name = "MUSHROOM_LOG_NAME",
	Description = "MUSHROOM_LOG_DESC",
	Category = "DECO",
	BuildingZone = {
		ZoneEntryList = {
			{
				Type = {
					DEFAULT = true,
					NAVIGABLE = false
				},
				Polygon = {
					{1, 0.2},
					{1, -0.2},
					{-1, -0.2},
					{-1, 0.2}
				}
			}
		}
	},
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_MUSHROOM_LOG"
	}
})
Nature:register({
	DataType = "BUILDING_PART",
	Id = "WATER_CIRCLE",
	Name = "WATER_CIRCLE_NAME",
	Description = "WATER_CIRCLE_DESC",
	Category = "DECO",
	BuildingZone = {
		ZoneEntryList = {
			{
				Type = {
					DEFAULT = true,
					NAVIGABLE = false
				},
				Polygon = polygon.createCircle( 1, {0, 0}, 16 )
			}
		}
	},
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_WATER_CIRCLE"
	}
})
Nature:register({
	DataType = "BUILDING_PART",
	Id = "WATER_CIRCLE_LARGE",
	Name = "WATER_CIRCLE_LARGE_NAME",
	Description = "WATER_CIRCLE_LARGE_DESC",
	Category = "DECO",
	BuildingZone = {
		ZoneEntryList = {
			{
				Type = {
					DEFAULT = true,
					NAVIGABLE = false
				},
				Polygon = polygon.createCircle( 2.2, {0, 0}, 16 )
			}
		}
	},
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_WATER_CIRCLE_LARGE"
	}
})
Nature:register({
	DataType = "BUILDING_PART",
	Id = "WATER_CIRCLE_LARGE2",
	Name = "WATER_CIRCLE_LARGE2_NAME",
	Description = "WATER_CIRCLE_LARGE2_DESC",
	Category = "DECO",
	BuildingZone = {
		ZoneEntryList = {
			{
				Type = {
					DEFAULT = true,
					NAVIGABLE = false
				},
				Polygon = polygon.createCircle( 4.8, {0, 0}, 16 )
			}
		}
	},
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_WATER_CIRCLE_LARGE2"
	}
})
Nature:register({
	DataType = "BUILDING_PART",
	Id = "WATER_SQUARE",
	Name = "WATER_SQUARE_NAME",
	Description = "WATER_SQUARE_DESC",
	Category = "DECO",
	BuildingZone = {
		ZoneEntryList = {
			{
				Type = {
					DEFAULT = true,
					NAVIGABLE = false
				},
				Polygon = {
					{0.8, 0.8},
					{0.8, -0.8},
					{-0.8, -0.8},
					{-0.8, 0.8}
				}
			}
		}
	},
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_WATER_SQUARE"
	}
})
Nature:register({
	DataType = "BUILDING_PART",
	Id = "WATER_SQUARE_LARGE",
	Name = "WATER_SQUARE_LARGE_NAME",
	Description = "WATER_SQUARE_LARGE_DESC",
	Category = "DECO",
	BuildingZone = {
		ZoneEntryList = {
			{
				Type = {
					DEFAULT = true,
					NAVIGABLE = false
				},
				Polygon = {
					{1.8, 1.8},
					{1.8, -1.8},
					{-1.8, -1.8},
					{-1.8, 1.8}
				}
			}
		}
	},
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_WATER_SQUARE_LARGE"
	}
})
Nature:register({
	DataType = "BUILDING_PART",
	Id = "WATER_SQUARE_LARGE2",
	Name = "WATER_SQUARE_LARGE2_NAME",
	Description = "WATER_SQUARE_LARGE2_DESC",
	Category = "DECO",
	BuildingZone = {
		ZoneEntryList = {
			{
				Type = {
					DEFAULT = true,
					NAVIGABLE = false
				},
				Polygon = {
					{4, 4},
					{4, -4},
					{-4, -4},
					{-4, 4}
				}
			}
		}
	},
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_WATER_SQUARE_LARGE2"
	}
})
Nature:register({
	DataType = "BUILDING_PART",
	Id = "GRASS_CLEARING_STONE_SMALL",
	Name = "GRASS_CLEARING_STONE_SMALL_NAME",
	Description = "GRASS_CLEARING_STONE_SMALL_DESC",
	Category = "DECO",
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_GRASS_CLEARING_STONE_SMALL"
	},
	DesirabilityModifiers = {
		{
			Desirability = "DESIRABILITY_RESIDENTIAL",
			Type = "ADD",
			Radius = 1,
			Value = 0
		}
	}
})
Nature:register({
	DataType = "BUILDING_PART",
	Id = "GRASS_CLEARING_STONE",
	Name = "GRASS_CLEARING_STONE_NAME",
	Description = "GRASS_CLEARING_STONE_DESC",
	Category = "DECO",
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_GRASS_CLEARING_STONE"
	},
	DesirabilityModifiers = {
		{
			Desirability = "DESIRABILITY_RESIDENTIAL",
			Type = "ADD",
			Radius = 4,
			Value = 0
		}
	}
})
Nature:register({
	DataType = "BUILDING_PART",
	Id = "GRASS_CLEARING_STONE_LARGE",
	Name = "GRASS_CLEARING_STONE_LARGE_NAME",
	Description = "GRASS_CLEARING_STONE_LARGE_DESC",
	Category = "DECO",
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_GRASS_CLEARING_STONE_LARGE"
	},
	DesirabilityModifiers = {
		{
			Desirability = "DESIRABILITY_RESIDENTIAL",
			Type = "ADD",
			Radius = 6,
			Value = 0
		}
	}
})

Nature:registerPrefabComponent("models/nature.fbx/Prefab/Grass_Clearing_Stone", {
	DataType = "COMP_DIRT_CIRCLE"
})
Nature:registerPrefabComponent("models/nature.fbx/Prefab/Grass_Clearing_Stone_Small", {
	DataType = "COMP_DIRT_CIRCLE",
	IsPermanent = true,
	HardRadius = 0.8,
	SoftRadius = 1.1,
	Strength = 1
})
Nature:registerPrefabComponent("models/nature.fbx/Prefab/Grass_Clearing_Stone_Large", {
	DataType = "COMP_DIRT_CIRCLE",
	IsPermanent = true,
	HardRadius = 5,
	SoftRadius = 7,
	Strength = 1
})
Nature:registerPrefabComponent("models/nature.fbx/Prefab/Lilypad1", {
	DataType = "COMP_GROUNDED",
	GroundToWater = true
})
Nature:registerPrefabComponent("models/nature.fbx/Prefab/Lilypad2", {
	DataType = "COMP_GROUNDED",
	GroundToWater = true
})
Nature:registerPrefabComponent("models/nature.fbx/Prefab/Lilypad3", {
	DataType = "COMP_GROUNDED",
	GroundToWater = true
})
Nature:registerPrefabComponent("models/nature.fbx/Prefab/Mushroom_Log/Mushroom1", {
	DataType = "COMP_GROUNDED"
})
Nature:registerPrefabComponent("models/nature.fbx/Prefab/Mushroom_Log/Mushroom2", {
	DataType = "COMP_GROUNDED"
})
Nature:registerPrefabComponent("models/nature.fbx/Prefab/Mushroom_Log/Mushroom3", {
	DataType = "COMP_GROUNDED"
})
Nature:registerPrefabComponent("models/nature.fbx/Prefab/Stone1/set1", {
	DataType = "COMP_GROUNDED"
})
Nature:registerPrefabComponent("models/nature.fbx/Prefab/Stone1/set2", {
	DataType = "COMP_GROUNDED"
})
Nature:registerPrefabComponent("models/nature.fbx/Prefab/Stone1/set3", {
	DataType = "COMP_GROUNDED"
})
Nature:registerPrefabComponent("models/nature.fbx/Prefab/Stone1/set4", {
	DataType = "COMP_GROUNDED"
})
Nature:registerPrefabComponent("models/nature.fbx/Prefab/Stone1/set5", {
	DataType = "COMP_GROUNDED"
})
Nature:registerPrefabComponent("models/nature.fbx/Prefab/Stone1/set6", {
	DataType = "COMP_GROUNDED"
})
Nature:registerPrefabComponent("models/nature.fbx/Prefab/Stone2/set7", {
	DataType = "COMP_GROUNDED"
})
Nature:registerPrefabComponent("models/nature.fbx/Prefab/Stone2/set8", {
	DataType = "COMP_GROUNDED"
})
Nature:registerPrefabComponent("models/nature.fbx/Prefab/Stone2/set9", {
	DataType = "COMP_GROUNDED"
})
Nature:registerPrefabComponent("models/nature.fbx/Prefab/Stone2/set10", {
	DataType = "COMP_GROUNDED"
})
Nature:registerPrefabComponent("models/nature.fbx/Prefab/Stone2/set11", {
	DataType = "COMP_GROUNDED"
})
Nature:registerPrefabComponent("models/nature.fbx/Prefab/Stone3/set12", {
	DataType = "COMP_GROUNDED"
})
Nature:registerPrefabComponent("models/nature.fbx/Prefab/Stone3/set13", {
	DataType = "COMP_GROUNDED"
})
Nature:registerPrefabComponent("models/nature.fbx/Prefab/Stone3/set14", {
	DataType = "COMP_GROUNDED"
})
Nature:registerPrefabComponent("models/nature.fbx/Prefab/Stone3/set15", {
	DataType = "COMP_GROUNDED"
})
Nature:registerPrefabComponent("models/nature.fbx/Prefab/Stone3/set16", {
	DataType = "COMP_GROUNDED"
})
Nature:registerPrefabComponent("models/nature.fbx/Prefab/Stone4/set17", {
	DataType = "COMP_GROUNDED"
})
Nature:registerPrefabComponent("models/nature.fbx/Prefab/Stone4/set18", {
	DataType = "COMP_GROUNDED"
})
Nature:registerPrefabComponent("models/nature.fbx/Prefab/Stone4/set19", {
	DataType = "COMP_GROUNDED"
})
Nature:registerPrefabComponent("models/nature.fbx/Prefab/Stone5/set20", {
	DataType = "COMP_GROUNDED"
})
Nature:registerPrefabComponent("models/nature.fbx/Prefab/Stone5/set21", {
	DataType = "COMP_GROUNDED"
})
Nature:registerPrefabComponent("models/nature.fbx/Prefab/Stone5/set22", {
	DataType = "COMP_GROUNDED"
})
Nature:registerPrefabComponent("models/nature.fbx/Prefab/Stone6/set23", {
	DataType = "COMP_GROUNDED"
})
Nature:registerPrefabComponent("models/nature.fbx/Prefab/Stone6/set24", {
	DataType = "COMP_GROUNDED"
})
Nature:registerPrefabComponent("models/nature.fbx/Prefab/Stone6/set25", {
	DataType = "COMP_GROUNDED"
})
Nature:registerPrefabComponent("models/nature.fbx/Prefab/Stone6/set26", {
	DataType = "COMP_GROUNDED"
})
Nature:registerPrefabComponent("models/nature.fbx/Prefab/Stone7/set27", {
	DataType = "COMP_GROUNDED"
})
Nature:registerPrefabComponent("models/nature.fbx/Prefab/Stone7/set28", {
	DataType = "COMP_GROUNDED"
})
Nature:registerPrefabComponent("models/nature.fbx/Prefab/Stone7/set29", {
	DataType = "COMP_GROUNDED"
})
Nature:registerPrefabComponent("models/nature.fbx/Prefab/Stone7/set30", {
	DataType = "COMP_GROUNDED"
})
Nature:registerPrefabComponent("models/nature.fbx/Prefab/Stone7/set31", {
	DataType = "COMP_GROUNDED"
})
Nature:registerPrefabComponent("models/nature.fbx/Prefab/Stone7/set32", {
	DataType = "COMP_GROUNDED"
})
Nature:registerPrefabComponent("models/nature.fbx/Prefab/Stone8/set33", {
	DataType = "COMP_GROUNDED"
})
Nature:registerPrefabComponent("models/nature.fbx/Prefab/Stone8/set34", {
	DataType = "COMP_GROUNDED"
})
Nature:registerPrefabComponent("models/nature.fbx/Prefab/Stone8/set35", {
	DataType = "COMP_GROUNDED"
})
Nature:registerPrefabComponent("models/nature.fbx/Prefab/Stone9/set36", {
	DataType = "COMP_GROUNDED"
})
Nature:registerPrefabComponent("models/nature.fbx/Prefab/Stone9/set37", {
	DataType = "COMP_GROUNDED"
})
Nature:registerPrefabComponent("models/nature.fbx/Prefab/Stone9/set38", {
	DataType = "COMP_GROUNDED"
})
Nature:registerPrefabComponent("models/nature.fbx/Prefab/Stone9/set39", {
	DataType = "COMP_GROUNDED"
})